# Generated by Django 4.1.4 on 2022-12-31 06:41

from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('ecomapp', '0003_alter_products_image'),
    ]

    operations = [
        migrations.CreateModel(
            name='Cart',
            fields=[
                ('id', models.URLField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('price', models.IntegerField()),
                ('quantity', models.PositiveIntegerField()),
                ('created_at', models.DateField(auto_now_add=True)),
                ('product', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ecomapp.products')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ecomapp.register')),
            ],
        ),
    ]
